JClic Library Manager(1)

NAME
jclic-libmanager - Utility to manage JClic libraries at system level

SYNOPSIS
jclic-libmanager [OPTION] [NAME] [FILE]

DESCRIPTION
This manual page describes briefly the jclic-library command. This manual page was written for the Debian GNU/Linux distribution. It only contains the description of the basic options. For full manuals and documentation please visit:
http://clic.xtec.cat and https://github.com/projectestac/jclic/wiki

JClic is formed by a set of computer applications that are used for carrying out different types of educational activities: puzzles, associations, text exercises, crosswords...
If you want to check about how JClic projects are, you should take a look at:
http://clic.xtec.cat/db/listact_en.jsp

JClic activities are packed in JClic projects. Projects are sets of activities organized in one or more sequences, which indicate the order in which they have to be shown.
Projects can be organized into JClic Libraries. Libraries are collections of JClic projects, often structured in folders and subfolders. When JClic starts, it can automatically show the main library. When more than one library is defined JClic shows a list, allowing users to select one.
Each user can have its own JClic Library, usually placed in ~/JClic/projects. JClic libraries are encapsulated into XML files. These files are named "library.jclic" by default.
System-wide libraries can also be specified. These system-wide libraries are usually "read-only", and shown to everyone without the need of per-user settings.

JClic Library Manager is a tool intended to be used by admin users to list, add and remove references to JClic Libraries at system level. It should be called always as a superuser (e.g.: "sudo jclic-libmanager -list")

OPTIONS

-list
    List the name and path of the current JClic libraries defined at system level.

-add name path
    Adds the "library.jclic" file pointed by "path" into the list of JClic system libraries. If "name" has blanks, please enclose it within double quotes.

-remove name
    Remove the specified library from the list of JClic libraries defined at system level. Please enter the exact name, as obtained by a call to "sudo jclic-libmanager -list", and enclose it within double quotes in case it has blanks.

-help
    Displays a short abstract of the options.

AUTHORS
JClic was written by Francesc Busquets <fbusquets@xtec.cat> for the
    Department of Education of the Government of Catalonia.

SEE ALSO
jclic(1), jclicauthor(1), jclicreports(1)